<?php

?><?php
/*
Plugin Name: metakeywords
Plugin URI: http://aint-no-soul.com/
Description: With this plugin you can add easily some meta keywords. You can set some general default values(always present), some for the "home" page(only present at the "home") and if you like to, some additional keywords for each individual post/page, via the optional field.
Author: biophonc
Author URI: http://aint-no-soul.com/
Version: 0.2

Howto:
When you write a post you only need to add a custom field named "metakeywords"
and then write your keywords(seperated by commas) into the "value" textfield. 

key		= metakeywords
value	= my, additional, keywords

*/

function metakeywords() {
	
	// some globals
    global $posts, $post_meta_cache;

	// DO EDIT THIS:
	// default keywords 
	$default_keywords = 'foo, bar, john doe, replace me';
	// default keywords for the "home" page
	$extra_home_keywords = 'music, code, design, replace me aswell';


	// DO *NOT* EDIT THIS:
	// @home
	if(is_home()) {
		echo "	<meta name=\"keywords\" content=\"".$default_keywords.", ".$extra_home_keywords."\" />\n";
	}

	// @page/single
	if (is_single() || is_page()) {
		if(array_key_exists('metakeywords', $post_meta_cache[1][$posts[0]->ID])) {
			echo "\t<meta name=\"keywords\" content=\"";
			echo $default_keywords.", ".$post_meta_cache[1][$posts[0]->ID]['metakeywords'][0];
			echo "\" />\n";
		}
	}
}

// tell the API 
add_action('wp_head', 'metakeywords');
?>
